QwtPlotSeriesItem(3)

NAME
QwtPlotSeriesItem - Base class for plot items representing a series of samples.

SYNOPSIS

#include <qwt_plot_seriesitem.h>

Inherits QwtPlotItem, and QwtAbstractSeriesStore.

Inherited by QwtPlotAbstractBarChart, QwtPlotCurve, QwtPlotHistogram, QwtPlotIntervalCurve, QwtPlotSpectroCurve, QwtPlotTradingCurve, and QwtPlotVectorField.

  Public Member Functions
QwtPlotSeriesItem (const QString &title=QString())
QwtPlotSeriesItem (const QwtText &title)
virtual ~QwtPlotSeriesItem ()
Destructor.
void setOrientation (Qt::Orientation)
Qt::Orientation orientation () const
virtual void draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const override
Draw the complete series.
virtual void drawSeries (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const =0
virtual QRectF boundingRect () const override
virtual void updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &) override
Update the item to changes of the axes scale division.

  Protected Member Functions
virtual void dataChanged () override
dataChanged() indicates, that the series has been changed.

  Additional Inherited Members

Detailed Description

Base class for plot items representing a series of samples.

Definition at line 24 of file qwt_plot_seriesitem.h.

Constructor & Destructor Documentation

  QwtPlotSeriesItem::QwtPlotSeriesItem (const QString & title = QString()) [explicit]
Constructor

Parameters
    title Title of the curve

Definition at line 40 of file qwt_plot_seriesitem.cpp.

  QwtPlotSeriesItem::QwtPlotSeriesItem (const QwtText & title) [explicit]
Constructor

Parameters
    title Title of the curve

Definition at line 29 of file qwt_plot_seriesitem.cpp.

Member Function Documentation

  QRectF QwtPlotSeriesItem::boundingRect () const [override], [virtual]

Returns
    An invalid bounding rect: QRectF(1.0, 1.0, -2.0, -2.0)

Note
    A width or height < 0.0 is ignored by the autoscaler

Reimplemented from QwtPlotItem.

Reimplemented in QwtPlotVectorField, QwtPlotTradingCurve, QwtPlotMultiBarChart, QwtPlotIntervalCurve, QwtPlotHistogram, and QwtPlotBarChart.

Definition at line 97 of file qwt_plot_seriesitem.cpp.

  void QwtPlotSeriesItem::draw (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect) const [override], [virtual]

Draw the complete series.

Parameters
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rectangle of the canvas

Implements QwtPlotItem.

Definition at line 90 of file qwt_plot_seriesitem.cpp.

  virtual void QwtPlotSeriesItem::drawSeries (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect, int from, int to) const [pure virtual]
Draw a subset of the samples

Parameters
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rectangle of the canvas
    from Index of the first point to be painted
    to Index of the last point to be painted. If to < 0 the curve will be painted to its last point.

Implemented in QwtPlotVectorField, QwtPlotTradingCurve, QwtPlotSpectroCurve, QwtPlotMultiBarChart, QwtPlotIntervalCurve, QwtPlotHistogram, QwtPlotCurve, and QwtPlotBarChart.

  Qt::Orientation QwtPlotSeriesItem::orientation () const

Returns
    Orientation of the plot item

See also
    setOrientation()

Definition at line 77 of file qwt_plot_seriesitem.cpp.

  void QwtPlotSeriesItem::setOrientation (Qt::Orientation orientation)
Set the orientation of the item.

The orientation() might be used in specific way by a plot item. F.e. a QwtPlotCurve uses it to identify how to display the curve int QwtPlotCurve::Steps or QwtPlotCurve::Sticks style.

See also
    orientation()

Definition at line 62 of file qwt_plot_seriesitem.cpp.

  void QwtPlotSeriesItem::updateScaleDiv (const QwtScaleDiv & xScaleDiv, const QwtScaleDiv & yScaleDiv) [override], [virtual]

Update the item to changes of the axes scale division. Update the item, when the axes of plot have changed. The default implementation does nothing, but items that depend on the scale division (like QwtPlotGrid()) have to reimplement updateScaleDiv()

updateScaleDiv() is only called when the ScaleInterest interest is enabled. The default implementation does nothing.

Parameters
    xScaleDiv Scale division of the x-axis
    yScaleDiv Scale division of the y-axis

See also
    QwtPlot::updateAxes(), ScaleInterest

Reimplemented from QwtPlotItem.

Definition at line 102 of file qwt_plot_seriesitem.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.